Write and Delete
Delete
Delete metadata for specified files, tags, and/or conditions.
Request Body
| Field | Type | Description |
|---|---|---|
data_connector_name | str | Name of the data connector (vector database profile) to delete metadata from. |
file_names | Optional[List[str]] | List of file names to delete metadata for. |
tags | Optional[List[str]] | List of tags to filter which metadata to delete. |
conditions | Optional[Condition] | Additional conditions to filter which metadata to delete. |
Response
- 200: Metadata deleted successfully
- Returns:
{ "chunk_deleted_count": int, "file_deleted_count": int }
- Returns:
- 500: Internal Server Error
Example
{
"data_connector_name": "my-connector",
"file_names": ["document1.pdf", "document2.pdf"],
"tags": ["archived", "old"]
}
POST
Python
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Body
application/json
Python
